IgnoreNamespacesWriter (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils.transform

## Class IgnoreNamespacesWriter

- java.lang.Object
- - org.apache.cxf.staxutils.DelegatingXMLStreamWriter
  - - org.apache.cxf.staxutils.transform.IgnoreNamespacesWriter

- All Implemented Interfaces:
    `XMLStreamWriter`

      public class IgnoreNamespacesWriter
      extends DelegatingXMLStreamWriter

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgnoreNamespacesWriter​(XMLStreamWriter writer)` |
    `IgnoreNamespacesWriter​(XMLStreamWriter writer, boolean ignoreXsiAttributes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDefaultNamespace​(String uri)` |
    `void` | `setPrefix​(String pfx, String uri)` |
    `void` | `writeAttribute​(String uri, String local, String value)` |
    `void` | `writeAttribute​(String prefix, String uri, String local, String value)` |
    `void` | `writeStartElement​(String uri, String local)` |
    `void` | `writeStartElement​(String prefix, String local, String uri)` |

    - ### Methods inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

      `close, flush, getNamespaceContext, getPrefix, getProperty, setNamespaceContext, writeAttribute, writeCData, writeCharacters, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEndElement, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument, writeStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoreNamespacesWriter

          public IgnoreNamespacesWriter​(XMLStreamWriter writer)

    - #### IgnoreNamespacesWriter

          public IgnoreNamespacesWriter​(XMLStreamWriter writer,
                                        boolean ignoreXsiAttributes)

  - ### Method Detail

    - #### writeAttribute

          public void writeAttribute​(String prefix,
                                     String uri,
                                     String local,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Overrides:
        `writeAttribute` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String uri,
                                     String local,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Overrides:
        `writeAttribute` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String prefix,
                                        String local,
                                        String uri)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String uri,
                                        String local)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setPrefix

          public void setPrefix​(String pfx,
                                String uri)
                         throws XMLStreamException

      Specified by:
        `setPrefix` in interface `XMLStreamWriter`
      Overrides:
        `setPrefix` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace​(String uri)
                                   throws XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `XMLStreamWriter`
      Overrides:
        `setDefaultNamespace` in class `DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`